Bug 189691 - [PATCH] devel/scons m4 tool, BSD specific problem.
Summary: [PATCH] devel/scons m4 tool, BSD specific problem.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 02:50 UTC by clutton
Modified: 2014-07-27 18:14 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (1.28 KB, patch)
2014-05-12 02:50 UTC, clutton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description clutton 2014-05-12 02:50:00 UTC
The nature of bug is that: it uses m4 -E
Since BSD version of m4 from CURRENT doesn't have -E key, it crashes.

Probably, older versions of BSD would work. But, also, look at devel/autoconf it uses gm4 all the time.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-12 02:50:03 UTC
Maintainer of devel/scons,

Please note that PR ports/189691 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189691

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-12 02:50:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 John Marino freebsd_committer 2014-07-25 13:37:14 UTC
maintainer did not responded (added to CC again), anybody can commit this patch now .
Comment 4 gavin 2014-07-25 14:10:28 UTC
Sorry I missed this.

Approved, please apply.
Comment 5 commit-hook freebsd_committer 2014-07-27 18:13:23 UTC
A commit references this bug:

Author: marino
Date: Sun Jul 27 18:12:40 UTC 2014
New revision: 363085
URL: http://svnweb.freebsd.org/changeset/ports/363085

Log:
  devel/scons: Use GNU M4 over base m4

  Scons issues "m4 -E" commands, but the version of m4 including in CURRENT
  doesn't understand -E switch.  Use gm4 instead.

  PR:		189691
  Submitted by:	clutton0 (gmail)
  Approved by:	maintainer (Gavin McDonald)

Changes:
  head/devel/scons/Makefile
  head/devel/scons/files/patch-engine_SCons_Tool_m4.py
Comment 6 John Marino freebsd_committer 2014-07-27 18:14:57 UTC
thanks!